package com.example.test;

import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;

public class MainActivity extends AppCompatActivity {
    private EditText etPrenom;
    private EditText etNom;
    private Button btValider;
    private TextView tvMessage;
    private String prenom;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        EdgeToEdge.enable(this);
        setContentView(R.layout.activity_main);
        ViewCompat.setOnApplyWindowInsetsListener(findViewById(R.id.main), (v, insets) -> {
            Insets systemBars = insets.getInsets(WindowInsetsCompat.Type.systemBars());
            v.setPadding(systemBars.left, systemBars.top, systemBars.right, systemBars.bottom);
            return insets;
        });
        initialisations();
    }

    private void initialisations() {
        etPrenom = (EditText) findViewById(R.id.etPrenom);
        etNom = (EditText) findViewById(R.id.etNom);
        btValider = (Button) findViewById(R.id.btEnvoyer);
        tvMessage = (TextView) findViewById(R.id.tvMessage);
        btValider.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                String prenom = etPrenom.getText().toString();
                String nom = etNom.getText().toString();
                tvMessage.setText("Hello " + prenom + " " + nom +"!");
                Toast.makeText(getApplicationContext(), "Coucou " + prenom + " " + nom +" !",  Toast.LENGTH_LONG).show();
            }
        });
    }
}